import { ComponentFixture, TestBed } from '@angular/core/testing';

import { HeatStackDetailsOverviewComponent } from './heat-stack-details-overview.component';
import { RouterTestingModule } from '@angular/router/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { UiModule } from '@shared/ui/ui.module';

describe('HeatStackDetailsOverviewComponent', () => {
  let component: HeatStackDetailsOverviewComponent;
  let fixture: ComponentFixture<HeatStackDetailsOverviewComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ HeatStackDetailsOverviewComponent ],
      imports: [RouterTestingModule, HttpClientTestingModule, UiModule],
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(HeatStackDetailsOverviewComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
